import request from '@/utils/request'

// 查询关键词管理列表
export function listKeyword(query) {
  return request({
    url: '/toy/keyword/list',
    method: 'get',
    params: query
  })
}

// 查询关键词管理详细
export function getKeyword(id) {
  return request({
    url: '/toy/keyword/' + id,
    method: 'get'
  })
}

// 新增关键词管理
export function addKeyword(data) {
  return request({
    url: '/toy/keyword',
    method: 'post',
    data: data
  })
}

// 修改关键词管理
export function updateKeyword(data) {
  return request({
    url: '/toy/keyword',
    method: 'put',
    data: data
  })
}

// 删除关键词管理
export function delKeyword(id) {
  return request({
    url: '/toy/keyword/' + id,
    method: 'delete'
  })
}

export function checkKeyword(id) {
  return request({
    url: '/toy/keyword/check/'+id,
    method: 'get'
  })
}